
From: Badari Pulavarty <pbadari@us.ibm.com>

Export kallsyms_lookup_name() for kprobe/jprobe module use.

(akpm: modules which use kprobes/jrobes are usually problem-specific and
will not be merged into the mainline kernel, so we we're actually to see
actual users of this patch merged)

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/kallsyms.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN kernel/kallsyms.c~export-kallsyms_lookup_name kernel/kallsyms.c
--- 25/kernel/kallsyms.c~export-kallsyms_lookup_name	2005-03-07 20:41:41.000000000 -0800
+++ 25-akpm/kernel/kallsyms.c	2005-03-07 20:41:41.000000000 -0800
@@ -145,6 +145,7 @@ unsigned long kallsyms_lookup_name(const
 	}
 	return module_kallsyms_lookup_name(name);
 }
+EXPORT_SYMBOL_GPL(kallsyms_lookup_name);
 
 /*
  * Lookup an address
_
